using System;
using System.Collections.Generic;

namespace Slova
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            string ulaz = Console.ReadLine();

            char[] pojedinacnoSlovo = ulaz.ToCharArray();

            int brojUzastopnihSlova = 0;
            long proizvodDuplihSlova = 1;
            char trenutnoSlovo = pojedinacnoSlovo[0];

            foreach (char slovo in pojedinacnoSlovo)
            {
                if (slovo.Equals(trenutnoSlovo))
                {
                    brojUzastopnihSlova++;
                }
                else
                {
                    proizvodDuplihSlova = proizvodDuplihSlova * brojUzastopnihSlova;
                    trenutnoSlovo = slovo;
                    brojUzastopnihSlova = 1;
                }
            }

            proizvodDuplihSlova = proizvodDuplihSlova * brojUzastopnihSlova;

            double rezultat = proizvodDuplihSlova % (Math.Pow(10, 9) + 7);
            Console.WriteLine(rezultat);
        }
    }
}